### Hierarchy

- MetadataHelper

## Index

### Methods

- forModel
- forProperty
- get

## Methods

### Static forModel

- forModel<T>(modelClass: ModelConstructor<T>): ModelMetadata<T>

- - Defined in decorator/metadata/metadata-helper.ts:12

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClass: ModelConstructor<T>

  #### Returns ModelMetadata<T>

### Static forProperty

- forProperty<T>(modelClass: ModelConstructor<T>, propertyKey: keyof T | string): PropertyMetadata<T> | null | undefined

- - Defined in decorator/metadata/metadata-helper.ts:27

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClass: ModelConstructor<T>

  - ##### propertyKey: keyof T | string

    Either the name of the property or the name of the

  #### Returns PropertyMetadata<T> | null | undefined

### Static get

- get<T>(modelClass: ModelConstructor<T>): Metadata<T>

- - Defined in decorator/metadata/metadata-helper.ts:8

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClass: ModelConstructor<T>

  #### Returns Metadata<T>

Generated using TypeDoc